#ifndef HUMAN_DETECTOR_H_
#define HUMAN_DETECTOR_H_

#include <stdio.h>
#include <unistd.h>
#include <iostream>
#include "opencv/cv.h"
#include "opencv/highgui.h"
#include "human_parts_class.h"
#include "haar_detector.h"

using namespace std;

class human_detector {
	
	public:
		
		human_detector(const char*);
		human_detector(IplImage*);
		virtual ~human_detector();
		
		bool detect();
		void show_display_window();
		void update_display_window();
		void hide_display_window();
		
	protected:
		
	
	private:
		
		human_parts_class* detected_parts;
		
		CvSize orig_image_size;
		
		IplImage *orig_image;
		IplImage *display_image;
		IplImage *gray_image;
		
		bool showing_display_window;
};

#endif /*HUMAN_DETECTOR_H_*/
