#include "human_parts_class.h"

human_parts_class::human_parts_class() {
	
	this->part_id_counter = 0;
}

int human_parts_class::create_box(int x1, int y1, int x2, int y2) {
	
	//AVOID OVERFLOWING THE box_array
	if (++this->part_id_counter >= MAX_NUM_PART_BOXES)
		this->part_id_counter = 0;
	
	//STORE INFO INTO THE box_array
	this->box_array[part_id_counter].x1 = x1;
	this->box_array[part_id_counter].y1 = y1;
	this->box_array[part_id_counter].x2 = x2;
	this->box_array[part_id_counter].y2 = y2;
	
	return this->part_id_counter;
}

bool human_parts_class::edit_box_coords(int part_id, int new_x1, int new_y1, int new_x2, int new_y2) {
	
	if (part_id < 0 || part_id >= MAX_NUM_PART_BOXES)
		return false;
	
	//STORE NEW INFO INTO THE box_array
	this->box_array[part_id].x1 = new_x1;
	this->box_array[part_id].y1 = new_y1;
	this->box_array[part_id].x2 = new_x2;
	this->box_array[part_id].y2 = new_y2;
	
	return true;
}

human_part_box* human_parts_class::get_part(int part_id) {
	
	if (part_id < 0 || part_id >= MAX_NUM_PART_BOXES) { 
		
		struct human_part_box* empty_box;
		return empty_box; 
	}
	
	return &this->box_array[part_id+1];
}

int human_parts_class::get_num_parts() {
	
	return this->part_id_counter;
}
