#ifndef HUMAN_PARTS_CLASS_H_
#define HUMAN_PARTS_CLASS_H_

#define MAX_NUM_PART_BOXES 200

struct human_part_box {
	
	int x1;
	int y1;
	int x2;
	int y2;
};

class human_parts_class {
	
	public:
		
		human_parts_class();
		
		//RETURNS AN ID FOR THE CREATED BOX
		int create_box(int x1, 
		               int y1, 
		               int x2, 
		               int y2);
		
		//EDIT THE COORDINATES OF A PREVIOUSLY CREATED BOX
		bool edit_box_coords(int box_id, 
		                     int x1, 
		                     int y1, 
		                     int x2, 
		                     int y2);
		
		//DELETES A BOX FROM THE SET
		bool delete_box(int box_id);
		
		//RETRIEVE THE BOX STRUCT FOR A GIVEN BOX
		human_part_box* get_part(int box_id);	
		
		//RETRIEVE ENTIRE ARRAY OF PART BOXES
		int get_num_parts();
		
	private:
		
		//ARRAY FOR STORING ALL THE BOXES
		human_part_box box_array[50];
		
		//KEEP TRACK OF WHICH BOX WE'RE AT
		int part_id_counter;
};

#endif /*HUMAN_PARTS_CLASS_H_*/
