#include <iostream>
#include "human_parts_class.h"
#include "human_detector.h"

using namespace std;

void display_error(const char*);

int main(int argc, const char* argv[]) {
	
	//VERIFY AN INPUT IMAGE FILENAME WAS SUPPLIED
	if (argc != 2) {
				
		printf("Please give a picture filename as an argument: \n");
		printf("  %s picture_name.jpg\n", argv[0]);
		
		return -1;
	}
	
	try {
		
		human_detector* hd = new human_detector(argv[1]);
		hd->show_display_window();
		cvWaitKey(0);
		hd->detect();
		
		cvWaitKey(0);
		
	} catch (const char* error_message) {
		
		display_error(error_message);
	}
	
	return 0;
}

void display_error(const char* error_string) {
	
	printf("\n!!ERROR: ");
	printf("%s\n\n", error_string);
}
